> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Input Videos API Endpoint

> This API endpoint allows a user to retrieve their relatives input videos.



## OpenAPI

````yaml get /api/user/input-videos/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/input-videos/:
    get:
      tags:
        - api
      summary: Get User Input Videos API Endpoint
      description: >-
        This API endpoint allows a user to retrieve their relatives input
        videos.
      operationId: get_user_input_videos
      responses:
        '200':
          description: Successfully retrieved the input videos
          content:
            application/json:
              schema:
                title: Input Video OpenAPI Schema
                type: array
                items:
                  title: InputVideo
                  type: object
                  properties:
                    input_video_id:
                      type: integer
                    disabled:
                      type: boolean
                    video_title:
                      type: string
                    download_link:
                      type: string
                    creation_date:
                      type: string
                    preview_url:
                      type: string
                    audio:
                      title: Audio
                      type: object
                      properties:
                        audio_id:
                          type: integer
                        disabled:
                          type: boolean
                        download_link:
                          type: string
                        transcription:
                          type: string
                        creation_date:
                          type: string
                      description: Audio OpenAPI Schema
                  description: InputVideo OpenAPI Schema
              example:
                - input_video_id: 1
                  disabled: false
                  video_title: test_video
                  download_link: https://clipvision.ai/download/video/am77119gd4.mp4
                  creation_date: '2024-03-17T00:00:00.000Z'
                  preview_url: https://clipvision.ai/preview/video/am77119gd4.mp4
                  audio: null
        '400':
          description: Failed to retrieve the input video or validation errors
          content: {}
        '500':
          description: Failed to retrieve the input videos
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````